<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Shape Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_shape.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_shape-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Shape Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the geometric object.  
 <a href="class_shape.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="shape_8hh_source.html">shape.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Shape:</div>
<div class="dyncontent">
<div class="center"><img src="class_shape__inherit__graph.png" border="0" usemap="#_shape_inherit__map" alt="Inheritance graph"/></div>
<map name="_shape_inherit__map" id="_shape_inherit__map">
<area shape="rect" title="Models the concept of the geometric object." alt="" coords="335,5,397,32"/>
<area shape="rect" href="classbottom_surface.html" title="Models the concept of the ground surface." alt="" coords="5,80,124,107"/>
<area shape="rect" href="class_cuboid.html" title="Models the concept of the cuboid." alt="" coords="149,80,215,107"/>
<area shape="rect" href="class_cuboid_obstacle.html" title="Models the concept of the cuboid obstacle." alt="" coords="240,80,364,107"/>
<area shape="rect" href="class_rectangle.html" title="Models the concept of the rectangle obstacle." alt="" coords="388,80,475,107"/>
<area shape="rect" href="class_rod.html" title="Models the concept of the rod obstacle." alt="" coords="499,80,545,107"/>
<area shape="rect" href="classwater_surface.html" title="Models the concept of the water surface." alt="" coords="569,80,677,107"/>
<area shape="rect" href="class_drone.html" title="Models the concept of the drone." alt="" coords="151,155,213,181"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Shape:</div>
<div class="dyncontent">
<div class="center"><img src="class_shape__coll__graph.png" border="0" usemap="#_shape_coll__map" alt="Collaboration graph"/></div>
<map name="_shape_coll__map" id="_shape_coll__map">
<area shape="rect" title="Models the concept of the geometric object." alt="" coords="51,184,113,211"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="5,95,159,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="13,5,151,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">More...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase translation vector.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">More...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase rotation angle.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">More...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb8b78656c05a402be46335239606ef"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">draw</a> (const std::string &amp;filename) const =0</td></tr>
<tr class="memdesc:adbb8b78656c05a402be46335239606ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the geometric object coordinates to a result file.  <a href="class_shape.html#adbb8b78656c05a402be46335239606ef">More...</a><br /></td></tr>
<tr class="separator:adbb8b78656c05a402be46335239606ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23a2add7aced7879774dcbc91399cb6b"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">getCollisionInformation</a> () const =0</td></tr>
<tr class="memdesc:a23a2add7aced7879774dcbc91399cb6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays error message, that in the next step will be collision with something.  <a href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">More...</a><br /></td></tr>
<tr class="separator:a23a2add7aced7879774dcbc91399cb6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84f83422477236425ff566120e7e7c05"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover) const =0</td></tr>
<tr class="memdesc:a84f83422477236425ff566120e7e7c05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if in the next step of movement will be collision with something.  <a href="class_shape.html#a84f83422477236425ff566120e7e7c05">More...</a><br /></td></tr>
<tr class="separator:a84f83422477236425ff566120e7e7c05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="memdesc:a935afc9e576015f967d90de56977167d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#a935afc9e576015f967d90de56977167d">More...</a><br /></td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a52b1f33f515746a215cd461bcd5e5d3f"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a52b1f33f515746a215cd461bcd5e5d3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of total Vector3D objects.  <a href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">More...</a><br /></td></tr>
<tr class="separator:a52b1f33f515746a215cd461bcd5e5d3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa807a43b362e4ef73df68fe95813ec4a"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:aa807a43b362e4ef73df68fe95813ec4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of current Vector3D objects.  <a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">More...</a><br /></td></tr>
<tr class="separator:aa807a43b362e4ef73df68fe95813ec4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr class="memitem:a0fa4498ed91a5b05434f99abe79dc86d"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a> (double degree)</td></tr>
<tr class="memdesc:a0fa4498ed91a5b05434f99abe79dc86d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate degrees to radians.  <a href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">More...</a><br /></td></tr>
<tr class="separator:a0fa4498ed91a5b05434f99abe79dc86d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translation vector of geometric object.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">More...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation angle of geometric object.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">More...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00012">12</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aaa8d87171e65e0d8ba3c5459978992a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa8d87171e65e0d8ba3c5459978992a7">&#9670;&nbsp;</a></span>Shape()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Shape::Shape </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Increase the total and current number of Vector3D objects. </p>

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00047">47</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="a935afc9e576015f967d90de56977167d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a935afc9e576015f967d90de56977167d">&#9670;&nbsp;</a></span>~Shape()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Shape::~Shape </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reduces the number of current Vector3D objects. </p>

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00088">88</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a84f83422477236425ff566120e7e7c05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84f83422477236425ff566120e7e7c05">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Shape::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>droneCover</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">droneCover</td><td>- drone cover not visible on scene. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true - in next step will be collision, </dd>
<dd>
false - in next step will not be collision. </dd></dl>

<p>Implemented in <a class="el" href="class_cuboid_obstacle.html#a3530598ee9d1ecc78d168ea978f8b79c">CuboidObstacle</a>, <a class="el" href="class_rectangle.html#a0e4f5f8306e4fcdd21fcb2e4c9fc301a">Rectangle</a>, <a class="el" href="class_drone.html#aaaf054aec74ad44a41dc5957f1e36b87">Drone</a>, <a class="el" href="class_rod.html#a8bd1e81ac1987a74913ed25e57769d92">Rod</a>, <a class="el" href="classbottom_surface.html#a0f59d969e5fa357dbed89a3a15519a2c">bottomSurface</a>, and <a class="el" href="classwater_surface.html#a21bd94ef24b4c75e0327c709f3bc5fac">waterSurface</a>.</p>

</div>
</div>
<a id="adbb8b78656c05a402be46335239606ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbb8b78656c05a402be46335239606ef">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Shape::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>- result file name. </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="class_rod.html#a26e3e6f119b8d6a3747dd22626e9c07c">Rod</a>, <a class="el" href="class_rectangle.html#a3143df391fb8929ceb88f32638297cdc">Rectangle</a>, <a class="el" href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2">Cuboid</a>, <a class="el" href="classbottom_surface.html#abd43b419dc9f833e96fc5b7f6674b39b">bottomSurface</a>, <a class="el" href="classwater_surface.html#a0de872419d5f60025eb0b060b6df3633">waterSurface</a>, and <a class="el" href="class_cuboid_obstacle.html#a58601592d1866745e78d37d7b610c573">CuboidObstacle</a>.</p>

</div>
</div>
<a id="a23a2add7aced7879774dcbc91399cb6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23a2add7aced7879774dcbc91399cb6b">&#9670;&nbsp;</a></span>getCollisionInformation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Shape::getCollisionInformation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">CuboidObstacle</a>, <a class="el" href="class_rectangle.html#a58448a7e7ccd6dabba3a94055b60d385">Rectangle</a>, <a class="el" href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">Drone</a>, <a class="el" href="class_rod.html#aabd3e986477308641df1107e4d1ca952">Rod</a>, <a class="el" href="classbottom_surface.html#af8a576c98ebe7bbd0b921eb4d09b4594">bottomSurface</a>, and <a class="el" href="classwater_surface.html#ab49ab5ed2dbac566bd0b30e465b2bd5b">waterSurface</a>.</p>

</div>
</div>
<a id="a0fa4498ed91a5b05434f99abe79dc86d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fa4498ed91a5b05434f99abe79dc86d">&#9670;&nbsp;</a></span>makeRadians()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static double Shape::makeRadians </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>degree</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">degree</td><td>- value in degree. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>value in radians. </dd></dl>

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00029">29</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="a499ab02e6fd00d35c87e9409cab672dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a499ab02e6fd00d35c87e9409cab672dc">&#9670;&nbsp;</a></span>translate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Shape::translate </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>change</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">change</td><td>- shift vector. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00056">56</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph.png" border="0" usemap="#class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph" alt=""/></div>
<map name="class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph" id="class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph">
<area shape="rect" title="Increase translation vector." alt="" coords="212,5,340,32"/>
<area shape="rect" href="class_drone.html#ac92e53bc078523b250bba5a33c010b33" title="Move drone forward." alt="" coords="5,5,164,32"/>
</map>
</div>

</div>
</div>
<a id="a4ab9606f25f5121c5d09e95de802f4c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ab9606f25f5121c5d09e95de802f4c0">&#9670;&nbsp;</a></span>writeAngle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Shape::writeAngle </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>change</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">change</td><td>- rotation angle. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00062">62</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph.png" border="0" usemap="#class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph" alt=""/></div>
<map name="class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph" id="class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph">
<area shape="rect" title="Increase rotation angle." alt="" coords="161,5,301,32"/>
<area shape="rect" href="class_drone.html#abe42c3f974859bc10b58e63adb1498c0" title="Rotate the drone in OZ axis." alt="" coords="5,5,113,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a52b1f33f515746a215cd461bcd5e5d3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52b1f33f515746a215cd461bcd5e5d3f">&#9670;&nbsp;</a></span>allCounter_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned Shape::allCounter_ = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00035">35</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="afb6856641aa526f1371e5580e2cd7eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb6856641aa526f1371e5580e2cd7eb3">&#9670;&nbsp;</a></span>angle_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Shape::angle_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00022">22</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="aa807a43b362e4ef73df68fe95813ec4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa807a43b362e4ef73df68fe95813ec4a">&#9670;&nbsp;</a></span>currentCounter_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned Shape::currentCounter_ = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00040">40</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="aba30fe15a525b5f24e09829094213c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba30fe15a525b5f24e09829094213c07">&#9670;&nbsp;</a></span>translation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Shape::translation_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="shape_8hh_source.html#l00017">17</a> of file <a class="el" href="shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="shape_8hh_source.html">shape.hh</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_shape.html">Shape</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
